Bug 429622 - NetworkManager association with WPA is unreliable.
NetworkManager association with WPA is unreliable.
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: NetworkManager (Show other bugs)
8
All Linux
low Severity low
: ---
: ---
Assigned To: Dan Williams
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-21 18:24 EST by Philippe Troin
Modified: 2009-01-07 17:35 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-07 17:35:05 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Philippe Troin 2008-01-21 18:24:13 EST
Description of problem:
Associating with a WPA-protected access point works unreliably.
Associations will fail 90% of the times and will succeed once in a while.

Version-Release number of selected component (if applicable):
NetworkManager-0.7.0-0.6.6.svn3138.fc8.i386
wpa_supplicant-0.5.7-21.fc8.i386
kernel-2.6.23.8-63.i686
Using ipw2200.

How reproducible:
Most of the times.

Additional info:
Turn on the RF-kill switch, waiting a few seconds and turning it off increases
the chances of a successful association.
Stopping NetworkManager, waiting a few seconds and turning it back on also
increases the chances of a successful association.

I've also noticed that "iwconfig" reports no encryption keys when NetworkManager
is trying to associate.  This always leads to a failing association.

Phil.
Comment 1 Philippe Troin 2008-01-23 22:32:55 EST
Bug is still present in NetworkManager-0.7.0-0.6.7.svn3204.fc8.i386.
Phil.
Comment 2 Philippe Troin 2008-01-28 14:22:02 EST
One extra data point:
After testing with a Linksys AP, the problem seems to happen only with Apple
Airport Extreme access points.
These access points seem to offer both WEP and WPA at the same time.
This might confuse NM.

Phil.
Comment 3 Bug Zapper 2008-11-26 04:31:21 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Philippe Troin 2009-01-07 17:35:05 EST
Now fixed, even in F8.

Note You need to log in before you can comment on or make changes to this bug.